import urlparse
from django.utils.http import urlencode


def make_url(__url, **kwargs):
    request = kwargs.pop('request', None)
    parsed = urlparse.urlparse(__url)
    query = urlparse.parse_qs(parsed.query)
    for key, value in kwargs.iteritems():
        if value is not None:
            query[key] = value
    parsed = parsed[:4] + (urlencode(query),) + parsed[5:]
    url = urlparse.urlunparse(parsed)
    if request:
        return request.build_absolute_uri(url)
    return url
